My Project: dgCollisionDeformableMesh::dgDeformableNode Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgCollisionDeformableMesh::dgDeformableNode Class Reference

## Public Member Functions

| dgDeformableNode ()
| ~dgDeformableNode ()
void | TriangleBox (const dgVector *const position, const dgInt32 *const faceIndices, dgVector &minP, dgVector &maxP) const
void | CalculateBox (const dgVector *const position, const dgInt32 *const faceIndices)
dgInt32 | UpdateBox (const dgVector *const position, const dgInt32 *const faceIndices)

## Public Attributes

dgVector | m_minBox
dgVector | m_maxBox
dgInt32 | m_indexStart
dgFloat32 | m_surfaceArea
dgDeformableNode * | m_left
dgDeformableNode * | m_right
dgDeformableNode * | m_parent

## Constructor & Destructor Documentation

## § dgDeformableNode()

dgCollisionDeformableMesh::dgDeformableNode::dgDeformableNode | ( |  | ) |

inline

## § ~dgDeformableNode()

dgCollisionDeformableMesh::dgDeformableNode::~dgDeformableNode | ( |  | ) |

inline

## Member Function Documentation

## § CalculateBox()

void dgCollisionDeformableMesh::dgDeformableNode::CalculateBox | ( | const dgVector *const | position,
|  | const dgInt32 *const | faceIndices
| ) |  |

inline

## § TriangleBox()

void dgCollisionDeformableMesh::dgDeformableNode::TriangleBox | ( | const dgVector *const | position,
|  | const dgInt32 *const | faceIndices,
|  | dgVector & | minP,
|  | dgVector & | maxP
| ) |  | const

inline

## § UpdateBox()

dgInt32 dgCollisionDeformableMesh::dgDeformableNode::UpdateBox | ( | const dgVector *const | position,
|  | const dgInt32 *const | faceIndices
| ) |  |

inline

## Member Data Documentation

## § m_indexStart

dgInt32 dgCollisionDeformableMesh::dgDeformableNode::m_indexStart

## § m_left

dgDeformableNode* dgCollisionDeformableMesh::dgDeformableNode::m_left

## § m_maxBox

dgVector dgCollisionDeformableMesh::dgDeformableNode::m_maxBox

## § m_minBox

dgVector dgCollisionDeformableMesh::dgDeformableNode::m_minBox

## § m_parent

dgDeformableNode* dgCollisionDeformableMesh::dgDeformableNode::m_parent

## § m_right

dgDeformableNode* dgCollisionDeformableMesh::dgDeformableNode::m_right

## § m_surfaceArea

dgFloat32 dgCollisionDeformableMesh::dgDeformableNode::m_surfaceArea

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionDeformableMesh.cpp